#ifndef EDIT_H_
#define EDIT_H_

#include "level.h"
#include "geometry.h"

#define EDIT_MODE_VIEW     0
#define EDIT_MODE_SELECTED 1
#define EDIT_MODE_ADD      2

int getEditMode();

ROOM *getActiveRoom();
void setActiveRoom(ROOM *room);

void startAddMode();
void endAddMode();

ROOM *getHoveredRoom();

Vertex *getHoveredVertex();
void setHoveredVertex(Vertex *v);

int isVertexOk(Vertex *v);
int isPolygonOk(POLYGON *polygon);

#endif /*EDIT_H_*/
